#!/usr/bin/python3.4
# -*- coding: utf-8 -*-

import sys
import copy

OK = 0
PE = 4
WA = 5
CF = 6


correct=[400, 150, 580, 90, 560, 400]

fin = open(sys.argv[1], "r")
#fin=open("test3.txt","r")
ans = fin.readlines()


fin.close()


er=0

if len(ans)!=6:
    sys.stderr.write("Ответ должен состоять ровно из 6 строк, в каждой из которых по одному числу ")
    sys.stdout.write("0")
    sys.exit(PE)  

i = 0
count=0
while i < len(ans):
    ans[i] = ans[i].replace("\n", "")
    ans[i] = ans[i].replace(" ", "")
    if len(ans[i])==0:
        sys.stderr.write("Ответ не должен содержать пустых строк ")
        sys.stdout.write("0")
        sys.exit(PE) 
    try:
        ans[i]=int(ans[i])
    except Exception as E:
        sys.stderr.write("Каждая строка должна содержать только одно целое число ")
        sys.stderr.write(str(E))
        sys.stdout.write("0")
        sys.exit(PE)    
    if ans[i]==correct[i]:
        count=count+1
    i=i+1

if count==6:
    sys.stderr.write("Это правильный ответ ")
    sys.stdout.write("100")
    sys.exit(OK)

if count==0:
    sys.stderr.write("Все маршруты не самые дешевые ")
    sys.stdout.write("0")
    sys.exit(WA)
    
sys.stderr.write("Найдено только "+ str(count)+ " самых дешевых маршрутов ")
s=(100*count)//6
s=str(s)
sys.stdout.write(s)
sys.exit(WA)
